package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 设备数据-水泥-其它时间 保存设备的小时以上的数据对象 mon_dev_sn_other
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-水泥-其它时间 保存设备的小时以上的数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_dev_sn_other")
public class MonDevSnOther extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    @Excel(name = "数据ID")
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;


    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    @Excel(name = "企业ID 冗余")
    private String factoryId;


    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;


    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    /** 时间类型 枚举。分钟/小时... */
    @Excel(name = "时间类型 枚举。分钟/小时...")
    private String timeType;


    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    /** 数据时间 格式因时间类型而异 */
    @Excel(name = "数据时间 格式因时间类型而异")
    private String dataTime;


    @ApiModelProperty(value = "生产端加料量 单位：kg/h")
    /** 生产端加料量 单位：kg/h */
    @Excel(name = "生产端加料量 单位：kg/h")
    private String ss100;


    @ApiModelProperty(value = "生产端窑尾烟室温度 单位：℃")
    /** 生产端窑尾烟室温度 单位：℃ */
    @Excel(name = "生产端窑尾烟室温度 单位：℃")
    private String ss101;


    @ApiModelProperty(value = "窑头布袋除尘器前后压差 单位：Pa")
    /** 窑头布袋除尘器前后压差 单位：Pa */
    @Excel(name = "窑头布袋除尘器前后压差 单位：Pa")
    private String sz100;


    @ApiModelProperty(value = "窑尾布袋除尘器前后压差 单位：Pa")
    /** 窑尾布袋除尘器前后压差 单位：Pa */
    @Excel(name = "窑尾布袋除尘器前后压差 单位：Pa")
    private String sz101;


    @ApiModelProperty(value = "窑头电除尘器二次电流 单位：A")
    /** 窑头电除尘器二次电流 单位：A */
    @Excel(name = "窑头电除尘器二次电流 单位：A")
    private String sz102;


    @ApiModelProperty(value = "窑尾电除尘器二次电流 单位：A")
    /** 窑尾电除尘器二次电流 单位：A */
    @Excel(name = "窑尾电除尘器二次电流 单位：A")
    private String sz103;


    @ApiModelProperty(value = "窑头电除尘器二次电压 单位：V")
    /** 窑头电除尘器二次电压 单位：V */
    @Excel(name = "窑头电除尘器二次电压 单位：V")
    private String sz104;


    @ApiModelProperty(value = "窑尾电除尘器二次电压 单位：V")
    /** 窑尾电除尘器二次电压 单位：V */
    @Excel(name = "窑尾电除尘器二次电压 单位：V")
    private String sz105;


    @ApiModelProperty(value = "脱硝还原剂用量 单位：m3/h")
    /** 脱硝还原剂用量 单位：m3/h */
    @Excel(name = "脱硝还原剂用量 单位：m3/h")
    private String sz106;


    @ApiModelProperty(value = "脱硫洗涤塔pH值")
    /** 脱硫洗涤塔pH值 */
    @Excel(name = "脱硫洗涤塔pH值")
    private String sz107;


    @ApiModelProperty(value = "脱硫供浆流量 单位：m3/h")
    /** 脱硫供浆流量 单位：m3/h */
    @Excel(name = "脱硫供浆流量 单位：m3/h")
    private String sz108;


    @ApiModelProperty(value = "脱硫供料流量 单位：kg/h")
    /** 脱硫供料流量 单位：kg/h */
    @Excel(name = "脱硫供料流量 单位：kg/h")
    private String sz109;


    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 1=运行，0=停止")
    /** 脱硫浆液循环泵运行状态 1=运行，0=停止 */
    @Excel(name = "脱硫浆液循环泵运行状态 1=运行，0=停止")
    private String sz110;


    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位：A")
    /** 脱硫湿法氧化风机电流 单位：A */
    @Excel(name = "脱硫湿法氧化风机电流 单位：A")
    private String sz111;


    @ApiModelProperty(value = "窑头除尘器进口压力 单位：kPa")
    /** 窑头除尘器进口压力 单位：kPa */
    @Excel(name = "窑头除尘器进口压力 单位：kPa")
    private String sz112;


    @ApiModelProperty(value = "窑头除尘器出口压力 单位：kPa")
    /** 窑头除尘器出口压力 单位：kPa */
    @Excel(name = "窑头除尘器出口压力 单位：kPa")
    private String sz113;


    @ApiModelProperty(value = "窑尾除尘器出口压力 单位：kPa")
    /** 窑尾除尘器出口压力 单位：kPa */
    @Excel(name = "窑尾除尘器出口压力 单位：kPa")
    private String sz114;


    @ApiModelProperty(value = "窑尾除尘器进口压力 单位：kPa")
    /** 窑尾除尘器进口压力 单位：kPa */
    @Excel(name = "窑尾除尘器进口压力 单位：kPa")
    private String sz115;


    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    /** 附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...} */
    @Excel(name = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    private String addiParam;






    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("deviceId", getDeviceId())
            .append("timeType", getTimeType())
            .append("dataTime", getDataTime())
            .append("ss100", getSs100())
            .append("ss101", getSs101())
            .append("sz100", getSz100())
            .append("sz101", getSz101())
            .append("sz102", getSz102())
            .append("sz103", getSz103())
            .append("sz104", getSz104())
            .append("sz105", getSz105())
            .append("sz106", getSz106())
            .append("sz107", getSz107())
            .append("sz108", getSz108())
            .append("sz109", getSz109())
            .append("sz110", getSz110())
            .append("sz111", getSz111())
            .append("sz112", getSz112())
            .append("sz113", getSz113())
            .append("sz114", getSz114())
            .append("sz115", getSz115())
            .append("addiParam", getAddiParam())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
